Get all orders for a specific customer
curl --request GET \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{customerId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{customerId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{customerId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": {
"orders": [
{
"status": "SCHEDULED",
"totalAmount": 100,
"currencyCode": "USD",
"scheduledDate": "2019-01-01T00:00:00.000Z",
"customer": {
"customerReferenceId": "12345",
"locale": "en_US",
"email": "customer@example.com",
"firstName": "Pat",
"lastName": "Kake",
"contactnumber": "5555551234",
"middleName": "E",
"segments": [
"employee"
],
"employeeId": "345",
"status": "ACTIVE",
"isDeleted": false,
"DeletedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2019-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z",
"communicationPreference": {
"email": true,
"sms": true
}
},
"shipTo": {
"name": {
"firstName": "Pat",
"lastName": "Kake",
"middleName": "E"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"billTo": {
"name": {
"firstName": "Pat",
"lastName": "Kake",
"middleName": "E"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"paymentDetails": {
"paymentIdentifier": {
"cardIdentifier": "1234",
"expiryDate": "12/20"
},
"paymentMethod": "credit_card",
"paymentKind": "Visa"
},
"isDeleted": false,
"deletedAt": "2019-01-01T00:00:00.000Z",
"id": "6384462ab645220008a4358a",
"totalTax": 10,
"totalDiscount": 10,
"lineItems": [
{
"lineItemId": 1,
"subscription": {
"plan": {
"frequency": 30,
"frequencyType": "Daily",
"id": "1001"
},
"id": "6256610bc312410009b7390b"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
}
}
],
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z",
"statusUpdatedAt": "2021-10-14T10:24:36.468Z",
"Retry": {
"maxRetries": 3,
"retryType": "PAYMENT RETRY",
"retryAfterDays": 1,
"retryCount": 2
},
"error": {
"errorCode": "ORDER_NOT_FOUND",
"errorMessage": "The order is not found"
}
}
]
}
}{
"Message": "User is not authorized to access this resource with an explicit deny"
}{
"responseStatus": "NOT_FOUND",
"message": "Not found"
}Orders
Get all orders for a specific customer
Get all orders for a specified customer, specified by customer ID
GET
/
v1
/
customers
/
{customerId}
/
orders
Get all orders for a specific customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Customer reference ID General object ID
Example:
"606f01f441b8fc0008529916"
Was this page helpful?
⌘I
